Bug 510422 - quick search in gpk-update-viewer
quick search in gpk-update-viewer
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 04:07 EDT by RJ
Modified: 2009-07-15 05:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 05:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mockup (87.74 KB, image/png)
2009-07-10 02:24 EDT, RJ
no flags Details
what's I coded (126.26 KB, image/png)
2009-07-13 06:14 EDT, Richard Hughes
no flags Details

  None (edit)
Description RJ 2009-07-09 04:07:12 EDT
Description of problem:
If I need only a few updates from large list of it, it's very difficult to find them. And with quick search like how we search Components in bugzilla, update system will be quite easier.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2009-07-09 15:32:47 EDT
Should already be fixed in https://admin.fedoraproject.org/updates/gnome-packagekit-2.27.3-1.fc11, please confirm.
Comment 2 RJ 2009-07-10 02:08:47 EDT
I have already installed package from koji, but I don't see what I need.
Comment 3 RJ 2009-07-10 02:24:18 EDT
Created attachment 351218 [details]
mockup

I have created a mockup to show what I mean.
Comment 4 Richard Hughes 2009-07-10 03:16:54 EDT
You don't want to filter the list, if you just start typing into the dialog, it'll focus whatever package you type.
Comment 5 RJ 2009-07-10 06:15:19 EDT
#4 yes, you are right, so we do not need "Filter" button.

Does this feature "Use the newest filter by default in the update viewer" doing this?
Comment 6 RJ 2009-07-10 06:17:23 EDT
ah, not. It doesn't do it
Comment 7 Richard Hughes 2009-07-10 06:23:09 EDT
You need to update to the latest PackageKit from koji to get the newest stuff to work correctly.
Comment 8 RJ 2009-07-10 06:35:55 EDT
Comment #2, but anyway I'll try again.
Comment 9 RJ 2009-07-13 05:51:53 EDT
Yes, I have installed latest PackageKit-0.4.8-2.fc11.i586 and gnome-packagekit-2.27.3-1.fc11.i586 from test updates but I have not seen something like in mockup.

Or I need to look somewhere else?
Comment 10 Richard Hughes 2009-07-13 06:14:28 EDT
Created attachment 351456 [details]
what's I coded

This is what it looks like. We don't want to filter this as it will not be clear what's happening in the UI.
Comment 11 RJ 2009-07-15 05:11:07 EDT
Ok. I think the bug should be closed.

Note You need to log in before you can comment on or make changes to this bug.